package gltronic.tronio.business;

import java.io.IOException;

import org.springframework.web.socket.WebSocketSession;

import gltronic.tronio.model.Player;

public interface IGameManager {
  void login(WebSocketSession session) throws InterruptedException, IOException;
  void leave(WebSocketSession session) throws InterruptedException, IOException;
  void updatePlayer(WebSocketSession session, Player player) throws InterruptedException, IOException;

  void step() throws InterruptedException, IOException;
}